import React from "react";
import { IHamburger } from "@interfaces/IHeader";

export const HamburgerButton: React.FC<IHamburger> = ({ onClick, light }) => {
  const spanClasses = `block h-0.5 absolute w-full duration-300 ${
    light ? "bg-white" : "bg-grey-900"
  }`;
  const spanBeforeClasses = `before:content-[''] before:-top-1.5 before:block before:h-0.5 before:absolute before:w-full before:duration-300 ${
    light ? "before:bg-white" : "before:bg-grey-900"
  }`;
  const spanAfterClasses = `after:content-[''] after:top-1.5 after:block after:h-0.5 after:absolute after:w-full after:duration-300 ${
    light ? "after:bg-white" : "after:bg-grey-900"
  }`;
  const spanCheckedClasses =
    "group-peer-checked:rotate-45 group-peer-checked:bg-white group-peer-checked:before:top-0 group-peer-checked:before:rotate-0 group-peer-checked:before:bg-white group-peer-checked:after:top-0 group-peer-checked:after:rotate-90 group-peer-checked:after:bg-white";
  return (
    <div className="relative lg:hidden p-4 transition-all ease-in-out duration-500">
      <input
        id="hamburger"
        className="peer absolute w-full h-full inset-0 opacity-0"
        type="checkbox"
        onClick={onClick}
      />
      <label
        className="group btn flex items-center w-5 h-3 absolute cursor-pointer top-2/4 left-2/4 -translate-x-2/4 -translate-y-2/4"
        htmlFor="hamburger"
      >
        <span
          className={`${spanClasses} ${spanBeforeClasses} ${spanAfterClasses} ${spanCheckedClasses}`}
        ></span>
      </label>
    </div>
  );
};

