import React from "react";

export interface OverlayTagProps {
  text: string;
  className?: string;
  variant?: "left" | "right";
}

export const OverlayTag: React.FC<OverlayTagProps> = ({ text, className, variant = "left" }) => {
  const classes = {
    left: "z-10 py-2.5 pl-3 pr-3.5 rounded-tr-full rounded-br-full leading-[18px]",
    right:
      "z-30 py-0.5 md:py-1 px-2.5 rounded-tl-full rounded-bl-full leading-4 opacity-50",
  };
  return (
    <div
      className={`bg-grey-900/50 flex items-center ${classes[variant]} ${
        className || ""
      }`}
    >
      <span className="font-plex text-white text-xs font-medium">{text}</span>
    </div>
  );
};


