import * as React from "react";
import { NEWS } from "@common/constants";
import type { Story } from "@ladle/react";
import { Color } from "@interfaces/INews";
import { INews } from "@interfaces/INews";
import { Carousel } from "@components/Carousel";

const NEWS_DARK: INews[] = [
  {
    id: 1,
    title:
      "Circular products need a blockchain. Long headline Test Bla more Text",
    description:
      "Fab City Hamburg is a non-profit association. Fab City Hamburg is a non-profit association. Very long text here is more text, blabla. Lorem Ipsum, even more content.",
    image: {
      alt: "news-1",
      src: "https://picsum.photos/id/1016/650/650",
    },
    type: "dark",
    date: "2020-01-01",
    category: {
      id: 1,
      title: "Event",
      href: "#",
    },
    time: "SA., 13. Juli, 11:00",
    location: "Neues Amt Altona",
    href: "#",
  },
  {
    id: 2,
    title: "Why circular production needs blockchain",
    description:
      "Fab City Hamburg is a non-profit association. Fab City Hamburg is a non-profit association",
    image: {
      alt: "news-1",
      src: "https://picsum.photos/id/1019/650/650",
    },
    type: "dark",
    date: "2020-01-01",
    category: {
      id: 2,
      title: "News",
      href: "#",
    },
    time: "SA., 13. Juli, 11:00",
    location: "Neues Amt Altona",
    href: "#",
  },
  {
    id: 3,
    title: "This is an event title event event event",
    description:
      "Fab City Hamburg is a non-profit association. Fab City Hamburg is a non-profit association",
    image: {
      alt: "news-1",
      src: "https://picsum.photos/id/103/650/650",
    },
    type: "dark",
    date: "2020-01-01",
    category: {
      id: 3,
      title: "Workshop",
      href: "#",
    },
    time: "SA., 13. Juli, 11:00",
    location: "Neues Amt Altona",
    href: "#",
  },
  {
    id: 4,
    title: "Fab City Hamburg",
    description:
      "Fab City Hamburg is a non-profit association. Fab City Hamburg is a non-profit associationn",
    image: {
      alt: "news-1",
      src: "https://picsum.photos/id/1033/650/650",
    },
    type: "dark",
    date: "2020-01-01",
    category: {
      id: 2,
      title: "News",
      href: "#",
    },
    time: "SA., 13. Juli, 11:00",
    location: "Neues Amt Altona",
    href: "#",
  },
  {
    id: 5,
    title: "Fab City Hamburg",
    description:
      "Fab City Hamburg is a non-profit association. Fab City Hamburg is a non-profit association",
    image: {
      alt: "news-1",
      src: "https://picsum.photos/id/1040/650/650",
    },
    type: "dark",
    date: "2020-01-01",
    category: {
      id: 1,
      title: "Event",
      href: "#",
    },
    time: "SA., 13. Juli, 11:00",
    location: "Neues Amt Altona",
    href: "#",
  },
  {
    id: 6,
    title: "Fab City Hamburg",
    description:
      "Fab City Hamburg is a non-profit association. Fab City Hamburg is a non-profit association",
    image: {
      alt: "news-1",
      src: "https://picsum.photos/id/1024/650/650",
    },
    type: "dark",
    date: "2020-01-01",
    category: {
      id: 3,
      title: "Workshop",
      href: "#",
    },
    time: "SA., 13. Juli, 11:00",
    location: "Neues Amt Altona",
    href: "#",
  },
];

interface CarouselConfigProps {
  customColorCode: Color;
  textColor: "dark" | "light";
  fullBleed: boolean;
}

export const CarouselStory: Story<CarouselConfigProps> = ({
  customColorCode,
  textColor,
  fullBleed,
}: CarouselConfigProps) => {
  return (
    <div className="w-full mb-10 xl:mb-0">
      <section className="pt-5">
        <Carousel
          title="Hamburg Highlights"
          items={NEWS_DARK}
        />
      </section>
      <section className="pt-5">
        <Carousel title="Hamburg Highlights" items={NEWS} />
      </section>
    </div>
  );
};

CarouselStory.args = {
  customColorCode: "#fcba03",
};

CarouselStory.argTypes = {
  textColor: {
    options: ["dark", "light"],
    control: { type: "select" },
    defaultValue: "dark",
  },
};

export default {
  title: "Molecules",
};

CarouselStory.storyName = "Carousel";
