import * as React from "react";
import { ImageSlider } from "@components/ImageSlider";
import type { Story } from "@ladle/react";
import type { IImage } from "@interfaces/IImage";

interface SliderConfigProps {
  lightbox?: boolean;
  fluid?: boolean;
  imageTags?: boolean;
}

const SLIDES: IImage[] = [
  {
    id: "1",
    img: "https://picsum.photos/id/1002/1000/600",
    subCaption: "Nullam et turpis vitae arcu consequat molestie ac eget ante",
    caption: "Lorem ipsum dolor sit amet, consectetur adipiscing elit.",
    tag: "Nullam et turpis",
  },
  {
    id: "2",
    img: "https://picsum.photos/id/1003/400/600",
    subCaption: "Nullam et turpis vitae arcu consequat molestie ac eget ante",
    caption:
      "Sed sed justo eu leo luctus porttitor. Etiam mattis nunc vel convallis fringilla. Etiam varius massa dui, aliquam tempus orci suscipit at.",
    tag: "Nullam et turpis",
  },
  {
    id: "3",
    img: "https://picsum.photos/id/1005/1000/600",
    subCaption: "Nullam et turpis vitae arcu consequat molestie ac eget ante",
    caption:
      "Sed sed justo eu leo luctus porttitor. Etiam mattis nunc vel convallis fringilla. Etiam varius massa dui, aliquam tempus orci suscipit at.",
    tag: "Nullam et turpis",
  },
  {
    id: "4",
    img: "https://picsum.photos/id/237/400/600",
    subCaption: "Nullam et turpis vitae arcu consequat molestie ac eget ante",
    caption: "Lorem ipsum dolor sit amet, consectetur adipiscing elit.",
    tag: "Nullam et turpis",
  },
  {
    id: "5",
    img: "https://picsum.photos/id/1015/1000/600",
    subCaption: "Nullam et turpis vitae arcu consequat molestie ac eget ante",
    caption: "Lorem ipsum dolor sit amet, consectetur adipiscing elit.",
    tag: "Nullam et turpis",
  },
  {
    id: "6",
    img: "https://picsum.photos/id/1023/1000/600",
    subCaption: "Nullam et turpis vitae arcu consequat molestie ac eget ante",
    caption: "Lorem ipsum dolor sit amet, consectetur adipiscing elit.",
    tag: "Nullam et turpis",
  },
  {
    id: "7",
    img: "https://picsum.photos/id/1025/1000/600",
    subCaption: "Nullam et turpis vitae arcu consequat molestie ac eget ante",
    caption:
      "Sed sed justo eu leo luctus porttitor. Etiam mattis nunc vel convallis fringilla. Etiam varius massa dui, aliquam tempus orci suscipit at.",
    tag: "Nullam et turpis",
  },
  {
    id: "8",
    img: "https://picsum.photos/id/102/1000/600",
    subCaption: "Nullam et turpis vitae arcu consequat molestie ac eget ante",
    caption: "Lorem ipsum dolor sit amet, consectetur adipiscing elit.",
    tag: "Nullam et turpis",
  },
];

export const ImageSliderStory: Story<SliderConfigProps> = ({
  lightbox,
}: SliderConfigProps) => {
  return (
    <div className="w-full mb-10 xl:mb-0">
      <ImageSlider title="My Gallery" withLightbox={lightbox} images={SLIDES} />
    </div>
  );
};

ImageSliderStory.args = {
  lightbox: false,
  imageTags: true,
};

export default {
  title: "Molecules",
};
ImageSliderStory.storyName = "Image Slider";
