import * as React from "react";
import { Member } from "@components/Member";
import type { Story } from "@ladle/react";

interface MemberConfigProps {
  name: string;
  position: string;
  organization?: string;
  email?: string;
  linkedin?: string;
  twitter?: string;
  instagram?: string;
  facebook?: string;
  mastodon?: string;
  xing?: string;
}

export const TeamMemberStory: Story<MemberConfigProps> = ({
  name,
  position,
  email,
  linkedin,
  twitter,
  instagram,
  facebook,
  organization,
  mastodon,
  xing
}: MemberConfigProps) => (
  <div className="container flex">
    <Member
      image="https://picsum.photos/id/1005/500/500"
      name={name}
      position={position}
      organization={organization}
      email={email}
      linkedin={linkedin}
      twitter={twitter}
      instagram={instagram}
      facebook={facebook}
      mastodon={mastodon}
      xing={xing}
    />
  </div>
);

TeamMemberStory.args = {
  name: "Max Mustermann",
  position: "Geschäftsführung",
  organization: "Fab City Hamburg e. V.",
  email: "test@example.com",
  linkedin: "https://www.google.de/",
  twitter: "https://www.google.de/",
  instagram: "https://www.google.de/",
  facebook: "https://www.google.de/",
  mastodon: "https://www.google.de/",
  xing: "https://www.google.de/",
};

export default {
  title: "Molecules",
};

TeamMemberStory.storyName = "Team member";
