import * as React from "react";
import { MiniCard } from "@components/MiniCard";
import type { Story } from "@ladle/react";
import { INewsImage, INewsCategory } from "@interfaces/INews";

interface MiniCardConfigProps {
  name: string;
  subtitle: string;
  image: INewsImage;
  rightImage: INewsImage;
  tags: INewsCategory[];
  href: string;
  type: "light" | "dark";
  className?: string;
}

const miniCard: MiniCardConfigProps = {
  name: "designxport / Hamburg Kreativ Gesellschaft mbH",
  subtitle: "Bildungs- und Veranstaltungsort",
  image: {
    alt: "miniCard-1",
    src: "https://picsum.photos/id/103/600/600",
  },
  tags: [
    {
      id: 2,
      title: "Fablab",
      href: "#",
    },
  ],
  href: "#",
  type: "light",
  rightImage: {
    alt: "miniCard-2",
    src: "https://blog.attraktor.org/wp-content/uploads/2013/08/attraktor_logo.png",
  },
};

export const MiniCardStory: Story<MiniCardConfigProps> = () => {
  return (
    <div className="w-full">
      <MiniCard
        image={miniCard.image}
        name={miniCard.name}
        subtitle={miniCard.subtitle}
        tags={miniCard.tags}
        href={miniCard.href}
        type={miniCard.type}
        rightImage={miniCard.rightImage}
      />
    </div>
  );
};

export default {
  title: "Molecules",
};

MiniCardStory.storyName = "Mini card";
