import * as React from "react";
import { Footer } from "@components/Footer";
import { ITopBarItem } from "@interfaces/IHeader";
import FCHHLogo from "@assets/images/fchh_logo_linear_col_white.svg";
import FCHHLogoStacked from "@assets/images/fchh_logo_stacked_white.svg";

const TOPBAR_ITEMS: ITopBarItem[] = [
  {
    title: "Fab City Hamburg",
    target: "/",
    children: [
      {
        title: "FCHH Association FCHH Association",
        target: "/",
        children: [
          {
            title: "L3 Item 1",
            target: "/",
          },
          {
            title: "L3 Item 2",
            target: "/",
          },
          {
            title: "L3 Item 3",
            target: "/",
          },
          {
            title: "L3 Item 4",
            target: "/",
          },
          {
            title: "L3 Item 5",
            target: "/",
          },
        ],
      },
      {
        title: "Hamburg 2054",
        target: "/",
      },
      {
        title: "Members",
        target: "/",
        children: [
          {
            title: "L3 Item 1",
            target: "/",
          },
          {
            title: "L3 Item 2",
            target: "/",
          },
          {
            title: "L3 Item 3",
            target: "/",
          },
          {
            title: "L3 Item 4",
            target: "/",
          },
        ],
      },
      {
        title: "Career",
        target: "/",
      },
      {
        title: "Blog",
        target: "/",
        children: [
          {
            title: "L3 Item 1",
            target: "/",
          },
          {
            title: "L3 Item 2",
            target: "/",
          },
          {
            title: "L3 Item 3",
            target: "/",
          },
          {
            title: "L3 Item 4",
            target: "/",
          },
        ],
      },
    ],
  },
  {
    title: "Network",
    target: "/",
    children: [
      {
        title: "Map",
        target: "/",
      },
      {
        title: "Fab Labs",
        target: "/",
      },
      {
        title: "Unternehmen",
        target: "/",
      },
      {
        title: "Community",
        target: "/",
        children: [
          {
            title: "L3 Item 1",
            target: "/",
          },
          {
            title: "L3 Item 2",
            target: "/",
          },
          {
            title: "L3 Item 3",
            target: "/",
          },
          {
            title: "L3 Item 4",
            target: "/",
          },
        ],
      },
      {
        title: "Fab City Global",
        target: "/",
      },
    ],
  },
  {
    title: "Projects",
    target: "/",
    children: [
      {
        title: "Kalender",
        target: "/",
      },
      {
        title: "Workshops",
        target: "/",
        children: [
          {
            title: "L3 Item 1",
            target: "/",
          },
          {
            title: "L3 Item 2",
            target: "/",
          },
          {
            title: "L3 Item 3",
            target: "/",
          },
          {
            title: "L3 Item 4",
            target: "/",
          },
        ],
      },
      {
        title: "Prototype Session",
        target: "/",
      },
      {
        title: "Fab Friday",
        target: "/",
      },
      {
        title: "Maker Challenge 2022",
        target: "/",
      },
    ],
  },
  {
    title: "Research",
    target: "/",
    children: [
      {
        title: "Fab City OS",
        target: "/",
      },
      {
        title: "Open Lab Starter Kit",
        target: "/",
        children: [
          {
            title: "L3 Item 1",
            target: "/",
          },
          {
            title: "L3 Item 2",
            target: "/",
          },
          {
            title: "L3 Item 3",
            target: "/",
          },
          {
            title: "L3 Item 4",
            target: "/",
          },
        ],
      },
      {
        title: "FarmBot Hamburg",
        target: "/",
        children: [
          {
            title: "L3 Item 1",
            target: "/",
          },
          {
            title: "L3 Item 2",
            target: "/",
          },
          {
            title: "L3 Item 3",
            target: "/",
          },
          {
            title: "L3 Item 4",
            target: "/",
          },
          {
            title: "L3 Item 5",
            target: "/",
          },
        ],
      },
      {
        title: "Fab City Incubator",
        target: "/",
      },
      {
        title: "Fab City Index",
        target: "/",
      },
    ],
  },
  {
    title: "Contact",
    target: "/",
  },
];

const SOCIAL_MEDIA = [
  {
    type: "instagram" as const,
    href: "#",
  },
  {
    type: "youtube" as const,
    href: "#",
  },
  {
    type: "twitter" as const,
    href: "#",
  },
  {
    type: "gitlab" as const,
    href: "#",
  },
  {
    type: "linkedin" as const,
    href: "#",
  },
  {
    type: "mastodon" as const,
    href: "#",
  },
  {
    type: "facebook" as const,
    href: "#",
  },
];

const supportedBy = [
  {
    alt: "Another Logo",
    href: "https://www.google.de",
    img: FCHHLogo,
  },
  {
    alt: "Some Logo",
    href: "https://www.google.de",
    img: FCHHLogoStacked,
  },
];

const NewsletterFormExample: React.FC = () => (
  <>
    <h5 className="font-karla text-base leading-6 font-semibold tracking-wide uppercase text-pearl-200">
      Join our Newsletter 🤙
    </h5>
    <div className="w-full mt-4 flex flex-col md:flex-row">
      <input
        className="w-full md:w-[72%] px-3 py-2 rounded font-plex text-base leading-6 font-normal outline-0"
        placeholder="Enter your email"
      />
      <button className="bg-white md:flex-1 py-2 rounded font-plex text-base leading-6 font-medium mt-3 md:mt-0 md:ml-4">
        Subscribe
      </button>
    </div>
  </>
);

export const FooterStory = () => (
  <Footer
    menu={TOPBAR_ITEMS}
    copyright="2022 Fab City Hamburg e.V."
    socialMedia={SOCIAL_MEDIA}
    newsletterSlot={<NewsletterFormExample />}
    supportedBy={supportedBy}
  />
);
export default {
  title: "Organisms",
};
FooterStory.storyName = "Footer";
